%define	major     3
%define libname   %mklibname tirpc %{major}
%define develname %mklibname tirpc -d

Summary:	Transport Independent RPC Library
Name:		libtirpc
Version:	1.3.6
Release:	%mkrel 2
License:	GPLv2
Group:		System/Libraries
URL:		https://sourceforge.net/projects/libtirpc
Source0:	https://downloads.sourceforge.net/libtirpc/%{name}-%{version}.tar.bz2
Patch0:		libtirpc.git-d473f1e1f6ba80bfaee4daa058da159305167323.patch
Patch1:		libtirpc.git-240ee6c774729c9c24812aa8912f1fcf8996b162.patch
BuildRequires:	pkgconfig
BuildRequires:	pkgconfig(krb5)

%description
This package contains SunLib's implementation of transport-independent
RPC (TI-RPC) documentation. This library forms a piece of the base of
Open Network Computing (ONC), and is derived directly from the
Solaris 2.3 source.

TI-RPC is an enhanced version of TS-RPC that requires the UNIX System V
Transport Layer Interface (TLI) or an equivalent X/Open Transport Interface
(XTI). TI-RPC is on-the-wire compatible with the TS-RPC, which is supported
by almost 70 vendors on all major operating systems.  TS-RPC source code
(RPCSRC 4.0) remains available from several internet sites.

%package -n	%{libname}
Summary:	Transport Independent RPC Library
Group:		System/Libraries
Requires:	%{name}

%description -n	%{libname}
This package contains SunLib's implementation of transport-independent
RPC (TI-RPC) documentation. This library forms a piece of the base of
Open Network Computing (ONC), and is derived directly from the
Solaris 2.3 source.

TI-RPC is an enhanced version of TS-RPC that requires the UNIX System V
Transport Layer Interface (TLI) or an equivalent X/Open Transport Interface
(XTI). TI-RPC is on-the-wire compatible with the TS-RPC, which is supported
by almost 70 vendors on all major operating systems.  TS-RPC source code
(RPCSRC 4.0) remains available from several internet sites.

%package -n	%{develname}
Summary:	Development files for the libtirpc library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	tirpc-devel = %{version}-%{release}
Provides:	libtirpc-devel = %{version}-%{release}

%description -n	%{develname}
This package contains SunLib's implementation of transport-independent
RPC (TI-RPC) documentation. This library forms a piece of the base of
Open Network Computing (ONC), and is derived directly from the
Solaris 2.3 source.

TI-RPC is an enhanced version of TS-RPC that requires the UNIX System V
Transport Layer Interface (TLI) or an equivalent X/Open Transport Interface
(XTI). TI-RPC is on-the-wire compatible with the TS-RPC, which is supported
by almost 70 vendors on all major operating systems.  TS-RPC source code
(RPCSRC 4.0) remains available from several internet sites.

This package includes header files and libraries necessary for developing
programs which use the tirpc library.


%prep
%autosetup -p1

%build
export CFLAGS="%{optflags} -fPIC"
%configure --disable-static
%make_build all

%install
%make_install
install -m 755 -d %{buildroot}%{_sysconfdir}
install -m 644 doc/netconfig %{buildroot}%{_sysconfdir}/netconfig

%files
%doc AUTHORS ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/netconfig
%config(noreplace) %{_sysconfdir}/bindresvport.blacklist

%files -n %{libname}
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/libtirpc.pc
%{_includedir}/tirpc/
%{_mandir}/man3/*
%{_mandir}/man5/*


%changelog
* Mon May 19 2025 ns80 <ns80> 1.3.6-2.mga10
+ Revision: 2184767
- add another upstream patch to try to fix building with GCC 15
- add an upstream patch to try to fix building with GCC 15

* Sun Dec 01 2024 daviddavid <daviddavid> 1.3.6-1.mga10
+ Revision: 2120342
- new version: 1.3.6

* Tue Aug 27 2024 mrambo3501 <mrambo3501> 1.3.5-1.mga10
+ Revision: 2091858
- version 1.3.5

* Fri Apr 05 2024 wally <wally> 1.3.4-2.mga10
+ Revision: 2054653
- basesystem rebuild for i686

* Tue Oct 17 2023 daviddavid <daviddavid> 1.3.4-1.mga10
+ Revision: 1997909
- new version: 1.3.4

* Fri Aug 12 2022 mrambo3501 <mrambo3501> 1.3.3-1.mga9
+ Revision: 1877137
- version 1.3.3 fixes CVE-2021-46828 (mga#30682)

* Sat Mar 19 2022 umeabot <umeabot> 1.3.2-3.mga9
+ Revision: 1799922
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tmb <tmb> 1.3.2-2.mga9
+ Revision: 1779478
- rebuild with glibc 2.35-3

* Mon Aug 02 2021 luigiwalser <luigiwalser> 1.3.2-1.mga9
+ Revision: 1738661
- 1.3.2

* Sat Dec 05 2020 luigiwalser <luigiwalser> 1.3.1-1.mga8
+ Revision: 1652977
- 1.3.1

* Wed Apr 22 2020 daviddavid <daviddavid> 1.2.6-1.mga8
+ Revision: 1570713
- new version: 1.2.6
- remove static libraries
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 19 2020 umeabot <umeabot> 1.2.5-2.mga8
+ Revision: 1543054
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jan 12 2020 luigiwalser <luigiwalser> 1.2.5-1.mga8
+ Revision: 1477705
- 1.2.5

* Thu Sep 13 2018 guillomovitch <guillomovitch> 1.1.4-1.mga7
+ Revision: 1258898
- new 1.1.4

* Mon Apr 16 2018 kekepower <kekepower> 1.0.3-1.mga7
+ Revision: 1219480
- Update to version 1.0.3
- Remove patches merged upstream

* Tue Jan 23 2018 tv <tv> 1.0.2-3.mga7
+ Revision: 1196561
- provides libtirpc-devel

* Sat Dec 16 2017 tmb <tmb> 1.0.2-2.mga7
+ Revision: 1182763
- fix CVE-2017-12133

* Thu Sep 21 2017 guillomovitch <guillomovitch> 1.0.2-1.mga7
+ Revision: 1156939
- new version 1.0.2
+ ghibo <ghibo>
- Reverted Patch4, fixed elsewhere in rpcbind
- Fix bug reported by Juan Magallòn about rpcinfo reporting connection refused.

* Sat May 06 2017 neoclust <neoclust> 1.0.1-5.mga6
+ Revision: 1099234
- Add P3 - Fixes CVE-2017-8779 (mga#20788)

* Fri Jul 22 2016 luigiwalser <luigiwalser> 1.0.1-4.mga6
+ Revision: 1043138
- rediff patch from glibc to fix CVE-2016-4429

* Tue Jun 07 2016 luigiwalser <luigiwalser> 1.0.1-3.mga6
+ Revision: 1020607
- 1.0.2-rc3

* Sat Jan 02 2016 tv <tv> 1.0.1-2.mga6
+ Revision: 918180
- relax requires from lib pkg on libtirpc (which defeats libification otherwise)

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1.0.1-1.mga6
+ Revision: 917811
- library major is now 3
- 1.0.2-rc1

* Thu Oct 22 2015 spuhler <spuhler> 0.3.2-2.mga6
+ Revision: 894073
- rebuild because nlibtrpc deleted the libs

* Sat Jul 25 2015 blino <blino> 0.3.2-1.mga6
+ Revision: 857697
- 0.3.2
- add patch from upstream to get back __rpc_get_default_domain symbol

* Wed Oct 15 2014 umeabot <umeabot> 0.2.5-3.mga5
+ Revision: 742903
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.5-2.mga5
+ Revision: 681815
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 luigiwalser <luigiwalser> 0.2.5-1.mga5
+ Revision: 662898
- 0.2.5

* Thu Dec 12 2013 luigiwalser <luigiwalser> 0.2.4-1.mga4
+ Revision: 556397
- 0.2.4

* Thu Dec 12 2013 luigiwalser <luigiwalser> 0.2.3-4.mga4
+ Revision: 556392
- 0.2.4-rc3 (upstream patch via fedora)

* Tue Oct 22 2013 umeabot <umeabot> 0.2.3-3.mga4
+ Revision: 545099
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 luigiwalser <luigiwalser> 0.2.3-2.mga4
+ Revision: 500749
- 0.2.4-rc2 (upstream patch via fedora, fixes CVE-2013-1950)
- krb5 is now used instead of gssglue

* Tue Jul 23 2013 luigiwalser <luigiwalser> 0.2.3-1.mga4
+ Revision: 457476
- 0.2.3
- remove upstreamed patch 0

* Sat Jan 12 2013 umeabot <umeabot> 0.2.2-3.mga3
+ Revision: 358257
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 luigiwalser <luigiwalser> 0.2.2-2.mga3
+ Revision: 340642
- fix for automake 1.13

* Tue Jul 26 2011 guillomovitch <guillomovitch> 0.2.2-1.mga2
+ Revision: 129665
- new version

* Sun Jan 23 2011 ennael <ennael> 0.2.1-3.mga1
+ Revision: 33403
- remove mdkversion
- imported package libtirpc


* Thu Nov 25 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-3mdv2011.0
+ Revision: 601062
- rebuild

* Mon Mar 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.1-2mdv2010.1
+ Revision: 528925
- remove .la file, it breaks gssd by altering nfs-utils linking arguments order

* Fri Dec 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.1-1mdv2010.1
+ Revision: 473560
- update to new version 0.2.1

* Mon Jun 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.0-4mdv2010.0
+ Revision: 384078
- oops

* Mon Jun 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.0-3mdv2010.0
+ Revision: 384077
- move configuration file in its own package

* Mon Jun 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.0-2mdv2010.0
+ Revision: 383877
- fix missing configuration file

* Sun Jun 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.0-1mdv2010.0
+ Revision: 383548
- new version

* Thu Dec 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.10-1mdv2009.1
+ Revision: 312870
- update to new version 0.1.10

* Fri Sep 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.9-1mdv2009.0
+ Revision: 281207
- new version
  drop all patches, merged upstream
  spec cleanup

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.1.7-7mdv2009.0
+ Revision: 223012
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.7-6mdv2008.1
+ Revision: 179005
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 06 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.7-4mdv2008.0
+ Revision: 80802
- bump release (again)
- bump release
- sync with libtirpc-0.1.7-10.fc8.src.rpm
- added P101 to make it build against libgssglue instead
- new devel naming

* Tue Apr 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.7-1mdv2008.0
+ Revision: 14044
- Import libtirpc



* Tue Apr 10 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.7-1mdv2007.1
- initial Mandriva package

* Mon Mar 26 2007 Steve Dickson <steved@redhat.com> 0.1.7-5
- Fixed Unowned Directory RPM problem (bz 233873)

* Mon Aug 28 2006 Steve Dickson <steved@redhat.com> 0.1.7-4
- Fixed undefined symbol (bz 204296)

* Mon Aug 14 2006 Steve Dickson <steved@redhat.com> 0.1.7-3
- Added in svc_auth_none needed by the GSSAPI code.
- Added compile define for ppc64 archs

* Fri Aug 11 2006 Steve Dickson <steved@redhat.com> 0.1.7-2
- Uncommented tcp6 and udp6 in the default /etc/netconfig file.
- Added hooks to used the libgssapi library.

* Fri Aug  4 2006 Steve Dickson <steved@redhat.com> 0.1.7-1
- Initial commit
